Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.modules.pages
Class JspPage

    java.lang.Object
      org.apache.turbine.modules.Assembler
          org.apache.turbine.modules.Page
              org.apache.turbine.modules.pages.DefaultPage
                  org.apache.turbine.modules.pages.TemplatePage
                      org.apache.turbine.modules.pages.JspPage

    public class JspPage

extends TemplatePage

Extends TemplatePage to add some convenience objects to the request.

Version:
  $Revision: 1078552 $
Author:
  John D. McNally, Henning P. Schmiedehausen, Peter Courcoux

Field Summary

Fields inherited from class org.apache.turbine.modules.pages.DefaultPage
`actionLoader, layoutLoader, log, screenLoader`

Fields inherited from class org.apache.turbine.modules.Page
`CACHE_SIZE_DEFAULT, CACHE_SIZE_KEY, NAME, PREFIX`

Constructor Summary
`JspPage()`

Method Summary
`protected void` | `doBuildBeforeAction(PipelineData pipelineData)` Stuffs some useful objects into the request so that it is available to the Action module and the Screen module
`protected void` | `doBuildBeforeAction(RunData data)` Stuffs some useful objects into the request so that it is available to the Action module and the Screen module

Methods inherited from class org.apache.turbine.modules.pages.TemplatePage
`doBuildAfterAction, doBuildAfterAction`

Methods inherited from class org.apache.turbine.modules.pages.DefaultPage
`doBuild, doBuild, doPostBuild, doPostBuild`

Methods inherited from class org.apache.turbine.modules.Page
`build, build, getPrefix`

Methods inherited from class org.apache.turbine.modules.Assembler
`getRunData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JspPage

    public JspPage()

Method Detail

### doBuildBeforeAction

    protected void doBuildBeforeAction(RunData data)
                                throws Exception

  Stuffs some useful objects into the request so that it is available to the Action module and the Screen module

  Overrides:
    `doBuildBeforeAction` in class `DefaultPage`
  Parameters:
    `data` - Turbine information.
  Throws:
    `Exception`

### doBuildBeforeAction

    protected void doBuildBeforeAction(PipelineData pipelineData)
                                throws Exception

  Stuffs some useful objects into the request so that it is available to the Action module and the Screen module

  Overrides:
    `doBuildBeforeAction` in class `DefaultPage`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.